(function(){
	
	var obj = function(){
		
		/*存放地图工具对象*/
		var map_ = null;
		
		var operation = {
			
			/*设置当前使用的地图*/
			setMap : function(mapType){
				this.createMap(mapType);
			},
			
			/*根据地图类型创建地图封装类，并返回*/
			createMap : function(mapType){
				if(mapType == 1){//百度地图
					if(typeof EXLIVE_BAIDU_MAP != 'undefined') map_ = EXLIVE_BAIDU_MAP;
					else getScriptSync('gpsonline/js/util/baidu_map.js', function(){map_ = EXLIVE_BAIDU_MAP;});												
				}else{
					if(typeof EXLIVE_GOOGLE_MAP != 'undefined') map_ = EXLIVE_GOOGLE_MAP;
					else getScriptSync('gpsonline/js/util/google_map.js', function(){map_ = EXLIVE_GOOGLE_MAP;});	 					
				}
			},
			
			/*创建一个圆并返回*/
			createCircle : function(radius, lat, lng){		
				return map_.createCircle(radius, lat, lng);
			},
			
			/*删除地图上的圆*/
			delCircle : function(circle){
				map_.delCircle(circle);
			}
		}
			
		return operation;	
	}
	
	return window.ExliveMap = new obj();
	
})();


